Author: cazfi
Date: Sun Apr 16 18:23:59 2017
New Revision: 35254

URL: http://svn.gna.org/viewcvs/freeciv?rev=35254&view=rev
Log:
Require gtk+-3.90 for gtk3x-client

See hrm Feature #649666

Modified:
    trunk/m4/gtk3x-client.m4

Modified: trunk/m4/gtk3x-client.m4
URL: 
http://svn.gna.org/viewcvs/freeciv/trunk/m4/gtk3x-client.m4?rev=35254&r1=35253&r2=35254&view=diff
==============================================================================
--- trunk/m4/gtk3x-client.m4    (original)
+++ trunk/m4/gtk3x-client.m4    Sun Apr 16 18:23:59 2017
@@ -8,10 +8,10 @@
   # Add check "x$client" = "xauto"  when this becomes supported client
   if test "x$gui_gtk3x" = "xyes" ||
      test "x$client" = "xall" ; then
-    PKG_CHECK_MODULES([GTK3X], [gtk+-4.0 >= 3.89.2],
+    PKG_CHECK_MODULES([GTK3X], [gtk+-4.0 >= 3.90.0],
       [
         GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_90"
-        GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_50"
+        GTK3X_CFLAGS="$GTK3X_CFLAGS 
-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_52"
         gui_gtk3x=yes
         if test "x$client" = "xauto" ; then
           client=yes


_______________________________________________
Freeciv-commits mailing list
Freeciv-commits@gna.org
https://mail.gna.org/listinfo/freeciv-commits

Reply via email to